.form-group {
  margin: map-get($spacing, 'desktop-half') 0;
  position: relative;
  width: 100%;

  i {
    &:not(.form-input-error-block) & {
      font-size: map-get($font-size, 'h5');
      left: map-get($spacing, 'desktop-small');
      position: absolute;
      top: map-get($spacing, 'desktop-small');
    }
  }
}

.form-group-row {
  margin: map-get($spacing, 'desktop-half') 0;
  position: relative;
  width: 100%;

  &:first-of-type {
    margin-top: 0;
  }

  &:last-of-type {
    margin-bottom: 0;
  }
}

.form-group-row-four {
  @include grid(1, $items: 4, $gutter: 1rem 0);
  align-items: center;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    @include grid(2, $items: 4, $gutter: 2rem);
  }
  @include breakpoint(map-get($breakpoints, 'breakpoint-md')) {
    @include grid(4, $items: 4, $gutter: 2rem);
  }
}

.form-group-row-three {
  @include grid(1, $items: 3, $gutter: 1rem 0);
  align-items: center;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    @include grid(3, $items: 3, $gutter: 2rem);
  }
}

.form-group-row-two {
  @include grid(1, $items: 2, $gutter: 1rem 0);
  align-items: center;

  @include breakpoint(map-get($breakpoints, 'breakpoint-sm')) {
    @include grid(2, $items: 2, $gutter: 2rem);
  }
}

.form-group-row-half {
  max-width: map-get($widths, 'max-width-mini');
}

.form-group-input {
  border-radius: map-get($radius, 'table');
  width: 100%;
}

.form-group-inline {
  align-items: center;
  display: flex;

  .form-label-wrapper {
    margin-bottom: 0;
    margin-right: map-get($spacing, 'mobile-small');
  }
}

.form-group-date {
  @include grid(4, $items: 3, $gutter: 1rem, $minmaxPer: minmax(#{percentage(1 / 4)}, #{percentage(1 / 4)}) minmax(#{percentage(1 / 4)}, #{percentage(1 / 4)}) minmax(auto, #{percentage(1 / 2)}));

  .form-group-date-input {
    &:last-of-type {
      grid-column: 3 / span 2 !important;
    }
  }
}

.form-group-time {
  @include grid(3, $items: 3, $gutter: 1rem, $minmax: minmax(#{percentage(1 / 3)}, #{percentage(1 / 3)}));
  width: 100%;
}

.radio-vertical-list {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  margin: 0;
  padding: 0;
}

.radio-vertical-list-item {
  align-items: center;
  display: flex;
  padding: 0;
  width: 100%;
}
